# Gio::DBusAuthObserver Class Reference

DBusAuthObserver - Object used for authenticating connections. More...

`#include <giomm/dbusauthobserver.h>`

Inheritance diagram for Gio::DBusAuthObserver:
[legend]

List of all members.

## Public Member Functions

virtual | ~DBusAuthObserver ()
GDBusAuthObserver* | gobj ()
| Provides access to the underlying C GObject.
const GDBusAuthObserver* | gobj () const
| Provides access to the underlying C GObject.
GDBusAuthObserver* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
bool | authorize_authenticated_peer (const Glib::RefPtr< const IOStream >& stream, const Glib::RefPtr< const Credentials >& credentials)
| Emits the DBusAuthObserver::authorize-authenticated-peer signal on observer.
Glib::SignalProxy2< bool, const Glib::RefPtr< const IOStream >&, const Glib::RefPtr< const Credentials >& > | signal_authorize_authenticated_peer ()

## Static Public Member Functions

static Glib::RefPtr < DBusAuthObserver > | create ()

## Protected Member Functions

| DBusAuthObserver ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr < Gio::DBusAuthObserver > | wrap (GDBusAuthObserver* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

DBusAuthObserver - Object used for authenticating connections.

The DBusAuthObserver type provides a mechanism for participating in how a DBusServer (or a DBusConnection) authenticates remote peers. Simply instantiate a DBusAuthObserver and connect to the signals you are interested in. Note that new signals may be added in the future.

Since glibmm 2.26:

## Constructor & Destructor Documentation

virtual Gio::DBusAuthObserver::~DBusAuthObserver | ( |  | ) | `[virtual]`

Gio::DBusAuthObserver::DBusAuthObserver | ( |  | ) | `[protected]`

## Member Function Documentation

bool Gio::DBusAuthObserver::authorize_authenticated_peer | ( | const Glib::RefPtr< const IOStream >& | stream,
|  | const Glib::RefPtr< const Credentials >& | credentials |
| ) |  |  |

Emits the DBusAuthObserver::authorize-authenticated-peer signal on observer.

Since glibmm 2.26:

Parameters:

  | stream | A IOStream for the DBusConnection.
  | credentials | Credentials received from the peer or `0`.

Returns:
  `true` if the peer is authorized, `false` if not.

static Glib::RefPtr<DBusAuthObserver> Gio::DBusAuthObserver::create | ( |  | ) | `[static]`

GDBusAuthObserver* Gio::DBusAuthObserver::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

const GDBusAuthObserver* Gio::DBusAuthObserver::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GDBusAuthObserver* Gio::DBusAuthObserver::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::SignalProxy2< bool,const Glib::RefPtr<const IOStream>&,const Glib::RefPtr<const Credentials>& > Gio::DBusAuthObserver::signal_authorize_authenticated_peer | ( |  | ) |

Prototype:
  `bool on_my_authorize_authenticated_peer(const Glib::RefPtr<const IOStream>& stream, const Glib::RefPtr<const Credentials>& credentials)`

## Friends And Related Function Documentation

Glib::RefPtr< Gio::DBusAuthObserver > wrap | ( | GDBusAuthObserver * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.